@import url("https://fonts.googleapis.com/css?family=Poppins:400,700,500|Open+Sans:400");
:root { 
	--black: #000000;
	--black-2: #0000004c;
	--grey: #b4abb5;
	--guestbook-pink: #b535c0;
	--light-grey: #b4abb566;
	--white: #ffffff;
	--white-2: #ffffffcc;

	--font-size-l: 16px;
	--font-size-m: 14px;
	--font-size-s: 12px;
	--font-size-xl: 18px;
	--font-size-xs: 10px;
	--font-size-xxl: 32px;

	--font-family-open_sans: "Open Sans", Helvetica;
	--font-family-poppins: "Poppins", Helvetica;
}

* {
	box-sizing: border-box
} 

body{
	margin: 0;
	padding: 0;
	background: #FFFFFF;
}

.bg-dark {
  color: var(--white) !important;
  background: var(--black) !important;
}

.mb-20 {
	margin-bottom: 20px;
}

.mb-30 {
	margin-bottom: 30px;
}

.btn{
	font-size: 14px !important;
}

.top-logo-container {
	display: flex;
	justify-content: center;
}
.top-login-text h1 {
	display: flex;
	justify-content: center;
	color: var(--black);
	line-height: normal;
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-xxl);
	font-style: normal;
	font-weight: 700;
	letter-spacing: 0;
}

.login-left-container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	/*align-items: center;*/
	height: 100vh;
}

.login-left-container form {
	padding-left: 25%;
	padding-right: 25%;
}

.login-left-container form .form-label {
	color: var(--black);
	font-weight: 500;
	line-height: normal;
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-s);
	font-style: normal;
	font-weight: 500;
	letter-spacing: 0;
}
.login-left-container form input {
	background-color: var(--white);
	border: 1px none;
	background: #FFFFFF;
	height: 45px;
	box-shadow: -12px -12px 20px rgba(219, 207, 220, 0.23), 12px 12px 20px rgba(219, 207, 220, 0.23);
	border-radius: 0;
}

.login-left-container form input:focus {
	box-shadow: -12px -12px 20px rgba(219, 207, 220, 0.23), 12px 12px 20px rgba(219, 207, 220, 0.23);
}


.login-left-container form input::placeholder {
	color: var(--grey);
	font-weight: 400;
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-m);
	line-height: normal;
	opacity: 1; /* Firefox */
}


/* The container */
.login-left-container form .checkbox-container {
	display: block;
	position: relative;
	padding-left: 35px;
	margin-bottom: 12px;
	cursor: pointer;
	font-size: 22px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/* Hide the browser's default checkbox */
.login-left-container form .checkbox-container input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
}

.login-left-container form .input-group {
	margin-bottom: 15px;
	border: 1px none;
  background: #FFFFFF;
  height: 45px;
  box-shadow: -12px -12px 20px rgb(219 207 220 / 23%), 12px 12px 20px rgb(219 207 220 / 23%);
  border-radius: 0;
}

.login-left-container form .input-group-addon {
	border: 0;
	background-color: transparent;
}

.login-left-container form .password-container {
	position: relative;
}
.login-left-container form .password-input-icon {
	position: absolute;
  right: 8%;
  top: 5%;
}
.login-left-container .tooltip > .tooltip-inner {
  border: 1px none;
	background: #FFFFFF;
  box-shadow: -12px -12px 20px rgb(219 207 220 / 23%), 12px 12px 20px rgb(219 207 220 / 23%);
  border-radius: 0;
	color: var(--black);
	max-width: 100% !important;
}

.login-left-container form .agree-terms-text {
  color: var(--black);
  font-family: var(--font-family-poppins);
  font-size: var(--font-size-s);
  font-style: normal;
  font-weight: 400;
  vertical-align: top;
}
.login-left-container form .agree-terms-text a {
	color: var(--guestbook-pink);
	text-decoration: underline;
}



/* Create a custom checkbox */
.login-left-container form .checkbox-container .checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 25px;
	width: 25px;
	background-color: var(--white);
	border: 1px solid rgba(181, 172, 182, 0.4);
}

/* When the checkbox is checked, add a blue background */
.login-left-container form .checkbox-container input:checked ~ .checkmark {
	background-color: var(--guestbook-pink);
}

/* Create the checkmark/indicator (hidden when not checked) */
.login-left-container form .checkbox-container .checkmark:after {
	content: "";
	position: absolute;
	display: none;
}

/* Show the checkmark when checked */
.login-left-container form .checkbox-container input:checked ~ .checkmark:after {
	display: block;
}

/* Style the checkmark/indicator */
.login-left-container form .checkbox-container .checkmark:after {
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.login-left-container form .checkbox-container .text {
	color: var(--black);
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-s);
	font-style: normal;
	font-weight: 400;
	vertical-align: text-top;
	margin-left: 10px;
}

.vgb-btn, .vgb-btn:focus, .vgb-btn:hover, .vgb-btn:active {
	background-color: var(--guestbook-pink);
	border: 1px none;
	gap: 8px;
	padding-top: 12px;
	padding-bottom: 12px;
	color: var(--white);
	font-weight: 400;
	line-height: normal;
	margin-top: -1px;
	border-radius: 0;
	text-transform: uppercase;
  box-shadow: none;
	outline: none;
}

.login-left-container .forgot-pass-container a {
	color: #b5acb6;
	font-weight: 400;
	line-height: normal;
	text-decoration: none !important;
}
.login-left-container .forgot-pass-container a:hover {
	text-decoration: none !important;
}

.login-left-container .login-link a {
	color: var(--black);
  font-family: var(--font-family-poppins);
  font-size: var(--font-size-s);
  font-style: normal;
  font-weight: 400;
  text-decoration: underline;
}

.error{
	color:red;
	font-family: var(--font-family-poppins);
  font-size: var(--font-size-s);
  font-style: normal;
  font-weight: 500;
  letter-spacing: 0;
}

.login-right-container {
	height: 100vh;
	background: linear-gradient(70.17deg, rgba(255, 192, 203, 0.4) 19.76%, rgba(181, 61, 192, 0.4) 86.75%);
	position: relative;
	/*padding-top : 60px;*/
	/*padding-bottom : 40px;*/
}

.login-right-container .carousel {
	top: 20px;
	margin-bottom: 30px;
}

.login-right-container .carousel .carousel-caption {
	text-shadow: none;
	position:static;
}

.login-right-container .carousel .carousel-indicators {
	bottom: -34px;
}
.login-right-container .carousel .carousel-indicators li {
	margin-right: 15px;
}

.login-right-container .carousel h1{
	color: var(--black);
	font-weight: 700;
	line-height: normal;
	margin-right: 2px;
	text-align: center;
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-xxl);
	font-style: normal;
	letter-spacing: 0;
}

.login-right-container .carousel .line1-h1 {
	margin-bottom: 0;
}

.login-right-container .carousel .line2-h1 {
	margin-top: 0;
}

.login-right-container .carousel p{
	font-style: normal;
	color: var(--black);
	font-weight: 400;
	line-height: normal;
	margin-bottom: 5px;
	text-align: center;
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-l);
	font-weight: 400;
	letter-spacing: 0;
}
.login-right-container .right-top-logo-container {
	display: flex;
	justify-content: space-around;
	padding-top: 132px;
}

.login-right-container .right-top-logo-container .logo-1 {
	width: 130.85px;
	height: 72.9px;
	filter: blur(5px);
	transform: rotate(-1.33deg);
}

.login-right-container .right-top-logo-container .logo-2 {
	width: 246.51px;
	height: 137.34px;
	filter: blur(5px);
	transform: rotate(-5.8deg);
	position: absolute;
	top: 13%;
	right: 17%;
}

.login-right-container .signup-btn {
	text-transform: uppercase;
	background-color: var(--black);
	border: 1px none;
	color: var(--white);
	font-weight: 400;
	line-height: normal;
	border-radius: 0;
	padding: 12px 48px;
	display: inline-block;
	margin: 0 0 -20px 0;
}

.login-right-container .right-bottom-logo-container .bottom-logo {
	width: 350px;
	height: 200px;
	filter: blur(10px);
	position: absolute;
	left: -103px;
	bottom: 0px;
	right: 0px;
	margin-bottom: 0px;
}

.login-right-container .bottom-links {
	position: absolute;
	bottom: 8px;
	right: 3px;
}

.bottom-links li a {
	text-transform: uppercase;
	text-decoration: underline;
	color: var(--black);
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-xs);
	font-style: normal;
	font-weight: 400;
	margin: 10px 10px;
}

.bottom-links li a:hover,
.bottom-links li a:focus {
	background: transparent;
}

.h2 {
	font-family: var(--font-family-poppins);
	font-size: var(--font-size-xl);
	font-style: normal;
	font-weight: 700;
	letter-spacing: 0;
}

.description {
  font-family: var(--font-family-poppins);
  color: var(--black) !important;
  font-size: var(--font-size-l);
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: 0;
}

.modal-content {
	font-family: var(--font-family-poppins);
	line-height: normal;
	color: var(--black);
	border-radius: 0;
}

.modal-content a {
	color: var(--guestbook-pink);
}

.modal-content .modal-header, .modal-content .modal-footer {
	border: 0;
}

/* forgot password popup */
#forgot-password-modal .instruction-container {
 margin-bottom: 30px;
}
/* forgot password popup */

.bottom-links-mobile .bottom-links {
	display: flex;
	flex-direction: column;
	align-items: center;
	line-height: 15px;
}

.bottom-links-mobile {
	display: none;
}

.login-right-container .btn-container {
	display: none;
}

#mobile-login-carousel {
	display: none;
}


/* +++++++++++++++ Medium devices +++++++++++++++*/
/*@media only screen and (min-width: 320px) {
}*/

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
	.login-right-container {
		display: none;
	}

	.login-left-container form {
    padding-left: 15px;
    padding-right: 15px;
	}

	.login-right-container {
		height: 120vh;
	}

	.login-right-container .bottom-links {
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 15px;
    justify-content: center;
	}

	.login-right-container .bottom-links li{
		padding: 10px 10px;
	}

	.login-right-container .right-top-logo-container .logo-2 {
		display: none;
	}

	.login-right-container .right-top-logo-container {
    justify-content: center;
	}

	.right-bottom-logo-container {
		display: none;
	}

	#login-carousel {
		display: none;
	}

	.login-right-container #mobile-login-carousel {
		display: block !important;
	}
	.login-right-container #mobile-login-carousel .carousel-indicators {
		bottom: -24px;
	}

	.login-right-container .btn-container {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}

	.login-right-container .signup-btn {
		width: 188px;
	}

	.login-right-container .signup-mobile{
		background-color: var(--guestbook-pink);
		color: var(--white);
		margin-top: 30px;
		margin-bottom: 24px;
	}

	.signup-right-container {
		display: block;
	}
	.signup-left-container {
		display: none;
	}

	.signup-bottom-links {
		display: block;
	}

	.vgb-modal .modal-dialog {
    flex: 1;
    flex-grow: 1;
  }

  #forgot-password-modal .instruction-text {
  	display: none;
  }

  .top-logo-container {
  	margin-top: 70px;
  }

  .bottom-links-mobile .bottom-links {
  	margin-top: 50px;
  }

  .bottom-links-mobile li{
  	display: inline-block;
  	padding: 10px 10px;
  }

}


/* vgb modal */
.vgb-modal.fade.in {
  display: flex !important;
  align-items: center;
  margin: 0 auto;
}

.vgb-modal .modal-dialog {
  flex-wrap: wrap;
}

.vgb-modal .modal-content {
  background-color: var(--white);
  padding: 16px;
  border-radius: 0;
}

.vgb-modal .modal-header {
  border: 0;
  padding: 0;
  padding-right: 16px;
}
.vgb-modal .modal-header .close {
  opacity: 1;
  margin-right: -13px;
}

.vgb-modal h2 {
  color: var(--black);
  font-weight: 700;
  line-height: normal;
  text-align: center;
}

.vgb-modal .line1-h2 {
  margin-bottom: 0;
}
.vgb-modal .line2-h2 {
  margin-top: 0;
}

.vgb-modal form {
  /*display: flex;
  flex-direction: column;
  gap: 8px;
  margin-top: 24px;
  padding-left: 15%;
  padding-right: 15%;*/
}

.vgb-modal form input, .vgb-modal form input:focus, .vgb-modal form input:active {
  background-color: var(--white);
  border: 1px none;
  background: #FFFFFF;
  height: 45px;
  box-shadow: -12px -12px 20px rgba(219, 207, 220, 0.23), 12px 12px 20px rgba(219, 207, 220, 0.23);
  border-radius: 0;
}

.vgb-modal form .forgot-password-btn-container button {
  background-color: var(--guestbook-pink);
  border: 1px none;
  gap: 8px;
  padding-top: 12px;
  padding-bottom: 12px;
  color: var(--white);
  font-weight: 400;
  line-height: normal;
  border-radius: 0;
  text-transform: uppercase;
  min-width: 137px;
  margin-top: 17px;
  margin-bottom: 15px;
}

.vgb-modal form label {
  color: var(--black);
  font-weight: 500;
  line-height: normal;
  font-family: var(--font-family-poppins);
  font-size: var(--font-size-s);
  font-style: normal;
  font-weight: 500;
  letter-spacing: 0;
}

/* vgb modal: end */


.action-btn, .action-btn:hover, .action-btn:active, .action-btn:focus {
  background-color: var(--guestbook-pink);
  color: var(--white);
  padding: 12px 32px;
  border: none;
  border-radius: 0;
  outline: none !important;
  font-weight: 400;
  text-transform: uppercase;
  line-height: normal;
  box-shadow: none;
  font-family: var(--font-family-poppins);
  font-size: var(--font-size-m);
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0;
}


#contact-modal input.form-control, #contact-modal textarea.form-control, #contact-modal select.form-control {
  background-color: var(--white);
  border: 1px none;
  background: #FFFFFF;
  box-shadow: -12px -12px 20px rgba(219, 207, 220, 0.23), 12px 12px 20px rgba(219, 207, 220, 0.23);
  border-radius: 0;

  font-family: var(--font-family-poppins);
  font-size: var(--font-size-m);
  font-style: normal;
  color: #212529;
  font-weight: 400;
  line-height: normal;
}

#contact-modal input.form-control, #contact-modal select.form-control {
  height: 45px;
}

#contact-modal input.form-control:focus, #contact-modal textarea.form-control:focus, #contact-modal select.form-control:focus {
  box-shadow: -12px -12px 20px rgba(219, 207, 220, 0.23), 12px 12px 20px rgba(219, 207, 220, 0.23);
}

#contact-modal input.form-control::placeholder {
  color: var(--grey);
  font-weight: 400;
  font-family: var(--font-family-poppins);
  font-size: var(--font-size-m);
  line-height: normal;
  opacity: 1; /* Firefox */
}

#contact-modal select.form-control {
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: url(/assets/img/select-arrow-down.svg);
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 10px;
}

.labels {
  font-family: var(--font-family-poppins);
  color: var(--black) !important;
  font-size: var(--font-size-s);
  font-style: normal;
  font-weight: 500;
  letter-spacing: 0;
  line-height: normal;
}


/* Small devices (portrait tablets and large phones, 600px and up) */
/*@media only screen and (min-width: 600px) {
}*/

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
} 

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
} 

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
}

